View Issue Details

IDProjectCategoryView StatusLast Update
0025176RunnerViews / CamerasPublic2019-05-08 16:05
ReporterStewart BishopAssigned ToLuke Brown 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionReopened 
PlatformWindowsOSWindows 8OS Version
Product Version2.2.2 
Target Version2.2.3Fixed in Version2.2.3 
Summary0025176: Views/Cameras: Mouse position can be off by one, causing jittering when camera is following an object
DescriptionAt certain points on an axis, when the camera is in use, the mouse_x value can become off by one.

The issue is happening on specific pixels: 12, 24, 48, 61, 96...

In an actual game this results in the crosshair jittering while you move and it looks awful.
Steps To Reproduce1. Open GMS2 and load project
2. Move player right (right arrow)
3. When moved in to the red pixel the mouse_x value will fail to update and crosshair will remain drawn one pixel to the left of where it should be
4. Moving the mouse at this point makes it obvious that the camera and mouse are out of sync
TagsNo tags attached.
1.4 Found In2-0-3-56
2.x Runtime Found In
2.x Runtime Verified In9.9.1.1431

Activities

Richard Gribble

2017-01-10 16:53

Viewer  

cursor-bug.zip (24,377 bytes)

Russell Kay

2018-05-04 12:04

Manager   ~0059076

Unable to reproduce in GMS2 current red IDE v9.2.1.1416 Runtime v9.9.1.1019

Dan

2019-02-13 13:35

Adminstrator   ~0063151

Mass-closing as per the Resolution of Unable To Reproduce and because many of these reports are very old / relate to GM: S 1.4.

If the comment from the dev above says this report was resolved because there was no sample, but you still have this issue in a CURRENT version of GMS2, please do submit a Helpdesk ticket and give us a sample project and we will add a new bug report with the fresh info.

Luke Brown

2019-04-15 17:38

Developer   ~0063628

fixed in gitlab